Dismiss a failed redemption
curl --request POST \
--url https://api.range.org/v2/redemptions/{id}/dismiss \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.range.org/v2/redemptions/{id}/dismiss"
payload = { "reason": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.range.org/v2/redemptions/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"burn_tx_hash": "<string>",
"log_index": 123,
"burn_time": "<string>",
"amount": "<string>",
"redeeming_address": "<string>",
"deadline": "<string>",
"state": "pending",
"late": true,
"reportable": true,
"step": "<string>",
"payout_reference": "<string>",
"source_ref": "<string>",
"payout_date": "<string>",
"payout_source": "csv",
"case_resolution": "dismissed",
"resolved_by": "<string>",
"dismiss_reason": "<string>",
"waiting_for": "<string>",
"payout_entered_by": "<string>",
"payout_entered_at": "<string>",
"case_id": "<string>"
}Redemptions
Dismiss a failed redemption
The redemption stays failed. The reason is stored encrypted and the case resolves as dismissed.
POST
/
v2
/
redemptions
/
{id}
/
dismiss
Dismiss a failed redemption
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
Body
application/json
Minimum string length:
1Response
200 - application/json
Position of the burn within its transaction. With burn_tx_hash it identifies the burn.
Available options:
pending, done, done_late, failed Statement reference (source_ref). Stored and shown; never used to match.
Available options:
csv, api, manual Available options:
dismissed, paid The case opened when this redemption missed its deadline. Null when no case was opened.
Last modified on October 7, 2026
Was this page helpful?